It seems that you're using an outdated browser. Some things may not work as they should (or don't work at all).
We suggest you upgrade newer and better browser like:Chrome,Firefox,Internet Explorer orOpera

×
arrow-down2arrowcart2close4fat-arrow-leftfat-arrow-rightfeedbackfriends2happy-facelogo-gognotificationnotifications-emptyownedremove-menusad-facesearch2wishlist-menuwishlisted2own_thingsheartstartick
avatar
LanceCrossfire: Two Worlds was released in 2007, just before Ageia/Nvidia PhysX software had a major overhaul. It will not run with current versions of PhysX. The GOG installer attempts to install an old version of PhysX, but will be blocked if you have a newer version already installed. Go to the NVidia PhysX download page and download the "LEGACY" drivers. They are a one-time/non-updating set of files that will exist with whatever current version of PhysX you already have and are REQUIRED to run Two Worlds properly.

Current link to follow:

http://www.nvidia.com/object/physx-9.12.1031-legacy-driver.html

Just to clarify, this is for AMD cards. Nvidia cards might have the legacy Phsyx support installed by default, but can't hurt to install it separately.
Worked great thank you!, I already had it installed but another program had made changes to it so I just downloaded it and ran (repair) and it launched. Thank you!
I downloaded TwoWorlds 2 from Grand Old Games. The game installed ok, but will not start. I have a windows 10 laptop with nvida integrated graphics card. I have tried to run the game with compatibility mode, too, but no go. Any help for me is appreciated.
Thank you very much for the updated download location. I have the original disc version, which ran fine with the old drivers. However, they caused Wizardry 8 not to launch! This cures that issue.